Index: /release-kits/lirk3/ant-scripts/compile.xml
===================================================================
--- /release-kits/lirk3/ant-scripts/compile.xml	(revision 20111)
+++ /release-kits/lirk3/ant-scripts/compile.xml	(revision 20112)
@@ -1,34 +1,4 @@
 <?xml version="1.0" encoding="utf-8" ?>
 <project name="lirk3-compile" default="compile">
-
-	<target name="compile">
-		<antcall target="checkout-greenstone3" />
-		<antcall target="greenstone3-set-version-numbers"><param name="greenstone3basedir" value="compiled"/></antcall>
-		<ant dir="compiled" inheritAll="false">
-			<target name="prepare"/>
-			<propertyset refid="forward.properties"/>
-		</ant>
-		<antcall target="gli-set-version-numbers"><param name="glibasedir" value="compiled/gli" /></antcall>
-		<ant dir="compiled" inheritAll="false">
-			<target name="install"/>
-                        <!-- we are temporarily leaving in src code -->
-                        <target name="distclean"/>
-			<target name="dist-tidy"/>
-			<propertyset refid="forward.properties"/>
-		</ant>
-		<antcall target="insert-xml-parser"/>
-		<antcall target="insert-ant"/>
-		<antcall target="insert-documented-examples"/>
-		<antcall target="insert-imagemagick-linux-binaries"/>
-		<antcall target="compile-uninstaller" /> <!-- from rk3-targets -->
-		<antcall target="prepare-documentation"/> <!-- from rk3-targets -->
-	</target>
-
-	<target name="insert-imagemagick-linux-binaries">
-		<delete dir="compiled/bin/linux/imagemagick"/>
-		<svn>
-			<export srcurl="${svn.root}/other-projects/trunk/linux-binaries/imagemagick" destPath="compiled/gs2build/bin/linux/imagemagick"/>
-		</svn>
-	</target>
-
+	<target name="compile" depends="greenstone3-compile"/>
 </project>
Index: /release-kits/lirk3/ant-scripts/create-components.xml
===================================================================
--- /release-kits/lirk3/ant-scripts/create-components.xml	(revision 20111)
+++ /release-kits/lirk3/ant-scripts/create-components.xml	(revision 20112)
@@ -19,8 +19,8 @@
 
 	<target name="compress-components">
-                <antcall target="compress-component"><param name="component" value="core"/></antcall>
-                <antcall target="compress-component"><param name="component" value="tomcat"/></antcall>
-                <antcall target="compress-component"><param name="component" value="imagemagick"/></antcall>
-  	</target>
+		<antcall target="compress-component"><param name="component" value="core"/></antcall>
+		<antcall target="compress-component"><param name="component" value="tomcat"/></antcall>
+		<antcall target="compress-component"><param name="component" value="imagemagick"/></antcall>
+	</target>
 
 </project>
Index: /release-kits/lirk3/ant-scripts/create-distribution.xml
===================================================================
--- /release-kits/lirk3/ant-scripts/create-distribution.xml	(revision 20111)
+++ /release-kits/lirk3/ant-scripts/create-distribution.xml	(revision 20112)
@@ -1,13 +1,4 @@
 <?xml version="1.0" encoding="utf-8" ?>
 <project name="lirk3-create-distribution" default="create-distribution">
-
-	<target name="create-distribution">
-		<!-- create distribution -->
-		<antcall target="copy-compiled-to-dist"/> <!-- from init -->
-		<antcall target="insert-uninstaller"><param name="script-format" value="sh"/></antcall> <!-- from init -->
-		<antcall target="clean-user-manual"/>
-		<antcall target="clean-uninstaller"/>
-		<antcall target="strip-svn-dirs"><param name="dir" value="distributions"/></antcall> <!-- from init -->
-	</target>
-
+	<target name="create-distribution" depends="greenstone3-create-distribution"/>
 </project>
Index: /release-kits/mark3/ant-scripts/build.xml
===================================================================
--- /release-kits/mark3/ant-scripts/build.xml	(revision 20111)
+++ /release-kits/mark3/ant-scripts/build.xml	(revision 20112)
@@ -18,5 +18,5 @@
 	<property name="rk.name" value="mark3"/>
 	<property name="rk.home" value="${mark3.home}" />
-	<property name="rk.os" value="linux" />
+	<property name="rk.os" value="mac" />
 	<!-- os.suffix set dynamically below -->
 
@@ -53,5 +53,5 @@
 		<antcall target="compile"/>
 		<antcall target="create-distribution"/>
-		<antcall target="create-components"/>
+		<ant dir="." antfile="${mark3.home}/ant-scripts/create-components.xml" target="create-components"/>
 		<antcall target="create-installer"/>
 		<antcall target="wrap"/>
Index: /release-kits/mark3/ant-scripts/compile.xml
===================================================================
--- /release-kits/mark3/ant-scripts/compile.xml	(revision 20111)
+++ /release-kits/mark3/ant-scripts/compile.xml	(revision 20112)
@@ -1,47 +1,5 @@
 <?xml version="1.0" encoding="utf-8" ?>
 <project name="mark3-compile" default="compile">
-
-	<target name="compile">
-
-		<!-- checkout -->
-		<antcall target="checkout-greenstone3" />
-
-		<!-- preparation -->
-		<antcall target="greenstone3-set-version-numbers">
-			<param name="greenstone3basedir" value="${basedir}/compiled"/>
-		</antcall>
-		<ant target="prepare-unix" dir="compiled" antfile="${mark3.home}/ant-scripts/operations-on-gs3home.xml" inheritAll="false"/>
-		
-		<!-- update -->
-		<ant target="update-unix" dir="compiled" antfile="${mark3.home}/ant-scripts/operations-on-gs3home.xml" inheritAll="false"/>
-
-		<!-- configure -->
-		<ant target="configure-unix" dir="compiled" antfile="${mark3.home}/ant-scripts/operations-on-gs3home.xml" inheritAll="false"/>
-		<antcall target="tweak-makefiles" />
-
-		<!-- build -->
-		<ant target="build-unix" dir="compiled" antfile="${mark3.home}/ant-scripts/operations-on-gs3home.xml" inheritAll="false"/>
-		<antcall target="linux-strip-execs" />
-
-		<!-- uninstaller -->
-		<antcall target="compile-uninstaller" /> <!-- from rk3-targets -->
-
-		<!-- documentation -->
-		<antcall target="prepare-documentation" />
-
-	</target>
-
-	<target name="set-version-number-property">
-		<rsr file="compiled/resources/java/global.properties.in" pattern="(.*)@gsdl3version@(.*)" replacement="$1${version}$2" />
-	</target>
-
-
-	<target name="linux-strip-execs">
-		<exec dir="compiled/gs2build/bin/darwin" executable="find">
-			<arg line=". ! -name . -exec strip {} &#59;"/>
-		</exec>
-	</target>
-
+	<target name="compile" depends="greenstone3-compile"/>
 </project>
 
-
Index: /release-kits/mark3/ant-scripts/create-components.xml
===================================================================
--- /release-kits/mark3/ant-scripts/create-components.xml	(revision 20111)
+++ /release-kits/mark3/ant-scripts/create-components.xml	(revision 20112)
@@ -2,7 +2,9 @@
 <project name="mark3-create-components" default="create-components">
 
+	<import file="${basedir}/distributions/web/resources/xml/components.xml"/>
+	<import file="${rk.home}/greenstone3/ant-scripts/rk3-targets.xml"/>
+
 	<!-- create components from the distributions folder -->
 
-	<!-- 1st level -->
 	<target name="create-components">
 		<antcall target="prepare-components" />
@@ -10,168 +12,16 @@
 	</target>
 
-	<!-- 2nd level -->
 	<target name="prepare-components">
-		<antcall target="prepare-core-component" />
-		<antcall target="prepare-ant-component" />
-		<antcall target="prepare-tomcat-component" />
-		<antcall target="prepare-imagemagick-component" />
-		<antcall target="prepare-ghostscript-component" />
-
-		<antcall target="prepare-sourcecode-component" />
-
+		<antcall target="prepare-component"><param name="component" value="core"/></antcall>
+		<antcall target="prepare-component"><param name="component" value="tomcat"/></antcall>
+		<antcall target="prepare-component"><param name="component" value="imagemagick"/></antcall>
+		<antcall target="prepare-component"><param name="component" value="ghostscript"/></antcall>
 	</target>
 
 	<target name="compress-components">
-		<antcall target="compress-core-component" />
-		<antcall target="compress-ant-component" />
-		<antcall target="compress-tomcat-component" />
-		<antcall target="compress-imagemagick-component" />
-		<antcall target="compress-ghostscript-component" />
-
-		<antcall target="compress-zipped-binary-release" /> <!-- from init -->
-
+		<antcall target="compress-component"><param name="component" value="core"/></antcall>
+		<antcall target="compress-component"><param name="component" value="tomcat"/></antcall>
+		<antcall target="compress-component"><param name="component" value="imagemagick"/></antcall>
+		<antcall target="compress-component"><param name="component" value="ghostscript"/></antcall>
 	</target>
 
-	<!-- 3rd level -->
-	<!-- core -->
-	<target name="prepare-core-component">
-
-		<delete dir="components/tmp/core"/>
-		<mkdir dir="components/tmp/core"/>
-				
-		<copy todir="components/tmp/core" overwrite="true">
-			<fileset dir="distributions/web">
-				<include name="**/*"/>
-
-				<!-- exclude sourcecode -->
-				<exclude name="src"/>
-				<exclude name="src/**/*"/>
-				<exclude name="gs2build/common-src"/>
-				<exclude name="gs2build/common-src/**/*"/>
-				<exclude name="gs2build/build-src"/>
-				<exclude name="gs2build/build-src/**/*"/>
-				<exclude name="gs2build/runtime-src"/>
-				<exclude name="gs2build/runtime-src/**/*"/>
-				
-				<!-- exclude ant -->
-				<exclude name="packages/ant"/>
-				<exclude name="packages/ant/**/*"/>
-
-				<!-- exclude tomcat -->
-				<exclude name="packages/tomcat"/>
-				<exclude name="packages/tomcat/**/*"/>
-
-				<!-- exclude imagemagick -->
-				<exclude name="gs2build/bin/darwin/imagemagick"/>
-				<exclude name="gs2build/bin/darwin/imagemagick/**/*"/>
-
-			</fileset>
-		</copy>
-				
-		<zip destfile="components/core.comp" basedir="components/tmp/core" compress="false" />
-	</target>
-	
-	<target name="compress-core-component">
-		<sevenzip task="encode" input="components/core.comp" output="components/core.lzma" dictionnary="26"/>
-	</target>
-	
-	<!-- sourcecode -->
-	<target name="prepare-sourcecode-component">
-
-		<delete dir="components/tmp/sourcecode"/>
-		<mkdir dir="components/tmp/sourcecode"/>
-
-		<copy todir="components/tmp/sourcecode" overwrite="true">
-				<fileset dir="distributions/web">
-					<include name="src/**/*"/>
-					<include name="gs2build/common-src/**/*"/>
-					<include name="gs2build/build-src/**/*"/>
-					<include name="gs2build/runtime-src/**/*"/>
-				</fileset>
-		</copy>
-				
-		<mkdir dir="products"/>
-		<tar destfile="products/Greenstone-${version}-${os.suffix}-sourcecode-component.tar.gz" basedir="components/tmp/sourcecode" compression="gzip" longfile="gnu"/>
-	</target>
-		
-	<target name="compress-sourcecode-component">
-		<sevenzip task="encode" input="components/sourcecode.comp" output="components/sourcecode.lzma" dictionnary="26"/>
-	</target>
-	
-	<!-- ant -->
-	<target name="prepare-ant-component">
-
-		<delete dir="components/tmp/ant"/>
-		<mkdir dir="components/tmp/ant"/>
-
-		<copy todir="components/tmp/ant" overwrite="true">
-			<fileset dir="distributions/web/packages">
-				<include name="ant/**/*"/>
-			</fileset>
-		</copy>
-		
-		<zip destfile="components/ant.comp" basedir="components/tmp/ant" compress="false" />
-	</target>
-		
-	<target name="compress-ant-component">
-		<sevenzip task="encode" input="components/ant.comp" output="components/ant.lzma" dictionnary="26"/>
-	</target>
-	
-	<!-- tomcat -->
-	<target name="prepare-tomcat-component">
-
-		<delete dir="components/tmp/tomcat"/>
-		<mkdir dir="components/tmp/tomcat"/>
-
-		<copy todir="components/tmp/tomcat" overwrite="true">
-			<fileset dir="distributions/web/packages">
-				<include name="tomcat/**/*"/>
-			</fileset>
-		</copy>
-		
-		<zip destfile="components/tomcat.comp" basedir="components/tmp/tomcat" compress="false" />
-	</target>
-		
-	<target name="compress-tomcat-component">
-		<sevenzip task="encode" input="components/tomcat.comp" output="components/tomcat.lzma" dictionnary="26"/>
-	</target>
-
-	<!-- imagemagick -->
-	<target name="prepare-imagemagick-component">
-
-		<delete dir="components/tmp/imagemagick"/>
-		<mkdir dir="components/tmp/imagemagick"/>
-
-		<copy todir="components/tmp/imagemagick" overwrite="true">
-			<fileset dir="distributions/web/gs2build/bin/darwin">
-				<include name="imagemagick/**/*"/>
-			</fileset>
-		</copy>
-				
-		<zip destfile="components/imagemagick.comp" basedir="components/tmp/imagemagick" compress="false" includes="**/*"/>
-	</target>
-		
-	<target name="compress-imagemagick-component">
-		<sevenzip task="encode" input="components/imagemagick.comp" output="components/imagemagick.lzma" dictionnary="26"/>
-	</target>
-	
-	<!-- ghostscript -->
-	<target name="prepare-ghostscript-component">
-
-		<delete dir="components/tmp/ghostscript"/>
-		<mkdir dir="components/tmp/ghostscript"/>
-
-		<copy todir="components/tmp/ghostscript" overwrite="true">
-			<fileset dir="distributions/web/gs2build/bin/darwin">
-				<include name="ghostscript/**/*"/>
-			</fileset>
-		</copy>
-				
-		<zip destfile="components/ghostscript.comp" basedir="components/tmp/ghostscript" compress="false" includes="**/*"/>
-	</target>
-		
-	<target name="compress-ghostscript-component">
-		<sevenzip task="encode" input="components/ghostscript.comp" output="components/ghostscript.lzma" dictionnary="26"/>
-	</target>
-
-</project>
Index: /release-kits/mark3/ant-scripts/create-distribution.xml
===================================================================
--- /release-kits/mark3/ant-scripts/create-distribution.xml	(revision 20111)
+++ /release-kits/mark3/ant-scripts/create-distribution.xml	(revision 20112)
@@ -1,82 +1,4 @@
 <?xml version="1.0" encoding="utf-8" ?>
 <project name="mark3-create-distribution" default="create-distribution">
-
-	<target name="create-distribution">
-
-		<!-- create distribution -->
-		<antcall target="export-greenstone3-gli" />
-		<antcall target="greenstone3-set-version-numbers"><param name="greenstone3basedir" value="${basedir}/distributions/web"/></antcall>
-		<antcall target="gli-set-version-numbers"><param name="glibasedir" value="${basedir}/distributions/web/gli"/></antcall>
-		<antcall target="insert-user-manual"/>
-		<antcall target="insert-uninstaller"><param name="script-format" value="sh"/></antcall> <!-- from init -->
-		<antcall target="insert-uninstaller-jar"/> <!-- from rk3-targets -->
-
-		<ant target="create-distribution-1" dir="distributions/web" inheritAll="false">
-			<property name="app.version" value="${version}"/>
-			<property name="branch.path" value="${branch.path}"/>
-			<property name="branch.revision" value="${branch.revision}"/>
-		</ant>
-
-		<ant target="create-distribution-2" dir="distributions/web" inheritAll="false">
-			<property name="app.version" value="${version}"/>
-			<property name="branch.path" value="${branch.path}"/>
-			<property name="branch.revision" value="${branch.revision}"/>
-		</ant>
-
-		<ant target="create-distribution-3" dir="distributions/web" inheritAll="false">
-			<property name="app.version" value="${version}"/>
-			<property name="branch.path" value="${branch.path}"/>
-			<property name="branch.revision" value="${branch.revision}"/>
-		</ant>
-
-		<antcall target="copy-over-build-xml" />
-		<antcall target="insert-compiled-binaries"/>
-		<antcall target="export-imagemagick-darwin-binaries" />
-		<antcall target="export-ghostscript-darwin-binaries" />
-		<antcall target="strip-svn-dirs"><param name="dir" value="distributions"/></antcall> <!-- from init -->
-	</target>
-
-	<target name="export-greenstone3-gli">
-		<mkdir dir="distributions"/>
-		<delete dir="distributions/web"/>
-		<svn javahl="false">
-			<export srcurl="${svn.root}/greenstone3/${branch.path}" destPath="distributions/web"/>
-			<export srcurl="${svn.root}/gli/${branch.path}" destPath="distributions/web/gli"/>
-		</svn>
-	</target>
-	
-	<target name="export-imagemagick-darwin-binaries">
-		<delete dir="distributions/web/gs2build/bin/darwin/imagemagick"/>
-		<svn>
-			<export srcurl="${svn.root}/other-projects/trunk/mac-binaries/intel/imagemagick" destPath="distributions/web/gs2build/bin/darwin/imagemagick"/>
-		</svn>
-	</target>
-	
-	<target name="export-ghostscript-darwin-binaries">
-		<delete dir="distributions/web/gs2build/bin/darwin/ghostscript"/>
-		<svn>
-			<export srcurl="${svn.root}/other-projects/trunk/mac-binaries/intel/ghostscript" destPath="distributions/web/gs2build/bin/darwin/ghostscript"/>
-		</svn>
-	</target>
-
-	<target name="copy-over-build-xml">
-		<move file="distributions/web/modified-build.xml" tofile="distributions/web/build.xml"/>
-	</target>
-
-	<target name="insert-user-manual">
-		<copy file="compiled/gsdl-manuals/manuals/build/en/pdf/User_en.pdf" tofile="distributions/web/docs/manual/gs2_user_en.pdf"/>
-	</target>
-
-	<target name="insert-compiled-binaries">
-		<delete dir="distributions/web/lib/jni"/>
-		<exec executable="cp"><arg line="-r compiled/lib/jni distributions/web/lib"/></exec>
-
-		<delete dir="distributions/web/gs2build/bin/darwin"/>
-		<exec executable="cp"><arg line="-r compiled/gs2build/bin/darwin distributions/web/gs2build/bin"/></exec>
-
-		<delete dir="distributions/web/gs2build/bin/java"/>
-		<exec executable="cp"><arg line="-r compiled/gs2build/bin/java distributions/web/gs2build/bin"/></exec>
-		<exec executable="cp"><arg line="compiled/bin/search4j distributions/web/bin"/></exec>
-	</target>
-
+	<target name="create-distribution" depends="greenstone3-create-distribution"/>
 </project>
Index: /release-kits/shared/core/ant-scripts/init.xml
===================================================================
--- /release-kits/shared/core/ant-scripts/init.xml	(revision 20111)
+++ /release-kits/shared/core/ant-scripts/init.xml	(revision 20112)
@@ -309,5 +309,18 @@
 	<!-- copy the uninstaller script from the rk to web distribution -->
 	<target name="insert-uninstaller">
-		<copy file="${rk.home}/core/uninstaller/Uninstall.${script-format}" todir="distributions/web" />
+
+		<!-- linux and mac -->
+		<if><bool><or><equals arg1="${rk.os}" arg2="linux"/><equals arg1="${rk.os}" arg2="mac"/></or></bool>
+			<copy file="${rk.home}/core/uninstaller/Uninstall.sh" todir="distributions/web"/>
+
+		<!-- windows -->
+		<else><if><bool><equals arg1="${rk.os}" arg2="windows"/></bool>
+			<copy file="${rk.home}/core/uninstaller/Uninstall.sh" todir="distributions/web"/>
+
+		<!-- else fail -->
+		<else>
+			<fail>this target does not support the current os</fail>
+
+		</else></if></else></if>
 	</target>
 
Index: /release-kits/shared/greenstone3/ant-scripts/rk3-targets.xml
===================================================================
--- /release-kits/shared/greenstone3/ant-scripts/rk3-targets.xml	(revision 20111)
+++ /release-kits/shared/greenstone3/ant-scripts/rk3-targets.xml	(revision 20112)
@@ -228,4 +228,33 @@
 	</target>
 	
+	<target name="greenstone3-compile">
+		<antcall target="checkout-greenstone3" />
+		<antcall target="greenstone3-set-version-numbers"><param name="greenstone3basedir" value="compiled"/></antcall>
+		<ant dir="compiled" inheritAll="false">
+			<target name="prepare"/>
+			<propertyset refid="forward.properties"/>
+		</ant>
+		<antcall target="gli-set-version-numbers"><param name="glibasedir" value="compiled/gli" /></antcall>
+		<ant dir="compiled" inheritAll="false">
+			<target name="install"/>
+			<target name="dist-tidy"/>
+			<propertyset refid="forward.properties"/>
+		</ant>
+		<antcall target="insert-xml-parser"/>
+		<antcall target="insert-ant"/>
+		<antcall target="insert-documented-examples"/>
+		<antcall target="compile-uninstaller" /> <!-- from rk3-targets -->
+		<antcall target="prepare-documentation"/> <!-- from rk3-targets -->
+	</target>
+
+	<target name="create-distribution">
+		<!-- create distribution -->
+		<antcall target="copy-compiled-to-dist"/> <!-- from init -->
+		<antcall target="insert-uninstaller"/>
+		<antcall target="clean-user-manual"/>
+		<antcall target="clean-uninstaller"/>
+		<antcall target="strip-svn-dirs"><param name="dir" value="distributions"/></antcall> <!-- from init -->
+	</target>
+
 
 </project>
Index: /release-kits/wirk3/ant-scripts/compile.xml
===================================================================
--- /release-kits/wirk3/ant-scripts/compile.xml	(revision 20111)
+++ /release-kits/wirk3/ant-scripts/compile.xml	(revision 20112)
@@ -1,27 +1,8 @@
 <?xml version="1.0" encoding="utf-8" ?>
 <project name="wirk3-compile" default="compile">
-
-	<target name="compile">
-		<antcall target="checkout-greenstone3" />
-		<antcall target="greenstone3-set-version-numbers"><param name="greenstone3basedir" value="compiled" /></antcall>
-		<ant dir="compiled" inheritAll="false">
-			<target name="prepare"/>
-			<propertyset refid="forward.properties"/>
-		</ant>
-		<antcall target="gli-set-version-numbers"><param name="glibasedir" value="compiled/gli" /></antcall>
-		<ant dir="compiled" inheritAll="false">
-			<target name="install"/>
-			<target name="dist-tidy"/>
-			<propertyset refid="forward.properties"/>
-		</ant>
+	<target name="compile" depends="greenstone3-compile">
 		<antcall target="insert-windows-perl"><param name="todir" value="compiled/gs2build/bin/windows"/></antcall>
-		<antcall target="insert-xml-parser"/>
-		<antcall target="insert-ant"/>
-		<antcall target="insert-documented-examples"/>
-		<antcall target="compile-uninstaller" /> <!-- from rk3-targets -->
-		<antcall target="prepare-documentation"/> <!-- from rk3-targets -->
 		<antcall target="insert-icon"/>
 	</target>
-	
 	<target name="insert-icon">
 		<copy
@@ -29,5 +10,3 @@
 			tofile="compiled/resources/images/gs3.ico"/>
 	</target>
-
-	
 </project>
Index: /release-kits/wirk3/ant-scripts/create-components.xml
===================================================================
--- /release-kits/wirk3/ant-scripts/create-components.xml	(revision 20111)
+++ /release-kits/wirk3/ant-scripts/create-components.xml	(revision 20112)
@@ -2,6 +2,6 @@
 <project name="wirk3-create-components" default="create-components">
 
-       <import file="${basedir}/distributions/web/resources/xml/components.xml"/>
-       <import file="${rk.home}/greenstone3/ant-scripts/rk3-targets.xml"/>
+	<import file="${basedir}/distributions/web/resources/xml/components.xml"/>
+	<import file="${rk.home}/greenstone3/ant-scripts/rk3-targets.xml"/>
 
 	<!-- create components from the distributions folder -->
@@ -20,9 +20,9 @@
 
 	<target name="compress-components">
-                <antcall target="compress-component"><param name="component" value="core"/></antcall>
-                <antcall target="compress-component"><param name="component" value="tomcat"/></antcall>
-                <antcall target="compress-component"><param name="component" value="imagemagick"/></antcall>
-                <antcall target="compress-component"><param name="component" value="ghostscript"/></antcall>
-  	</target>
+		<antcall target="compress-component"><param name="component" value="core"/></antcall>
+		<antcall target="compress-component"><param name="component" value="tomcat"/></antcall>
+		<antcall target="compress-component"><param name="component" value="imagemagick"/></antcall>
+		<antcall target="compress-component"><param name="component" value="ghostscript"/></antcall>
+	</target>
 
 </project>
Index: /release-kits/wirk3/ant-scripts/create-distribution.xml
===================================================================
--- /release-kits/wirk3/ant-scripts/create-distribution.xml	(revision 20111)
+++ /release-kits/wirk3/ant-scripts/create-distribution.xml	(revision 20112)
@@ -1,13 +1,4 @@
 <?xml version="1.0" encoding="utf-8" ?>
 <project name="wirk3-create-distribution" default="create-distribution">
-
-	<target name="create-distribution">
-		<!-- create distribution -->
-		<antcall target="copy-compiled-to-dist"/> <!-- from init -->
-		<antcall target="insert-uninstaller"><param name="script-format" value="bat"/></antcall> <!-- from init -->
-		<antcall target="clean-user-manual"/>
-		<antcall target="clean-uninstaller"/>
-		<antcall target="strip-svn-dirs"><param name="dir" value="distributions"/></antcall> <!-- from init -->
-	</target>
-
+	<target name="create-distribution" depends="greenstone3-create-distribution"/>
 </project>
Index: /release-kits/wirk3/ant-scripts/create-installer.xml
===================================================================
--- /release-kits/wirk3/ant-scripts/create-installer.xml	(revision 20111)
+++ /release-kits/wirk3/ant-scripts/create-installer.xml	(revision 20112)
@@ -10,5 +10,4 @@
 	<target name="copy-installer-files" depends="copy-main-installer-files,copy-greenstone3-installer-files"> <!-- from init -->
 
-		<!-- some canned resources for the installer -->
 		<copy todir="${basedir}/installer/classes" overwrite="true">
 			<fileset dir="${wirk3.home}/windows/7za" includes="7za.exe"/>
@@ -16,5 +15,4 @@
 		</copy>
 
-		<!-- some classes from jars, unpacked to be repacked into installer -->
 		<unjar src="${wirk3.home}/core/ant-tasks/greenstone/anttasks.jar" dest="${basedir}/installer/classes"/>
 		<delete dir="${basedir}/installer/classes/META-INF"/>