Index: /other-projects/trunk/hdl-archives/treasures/src-documents/Toko_Renata_Te_Taniwha2.htm
===================================================================
--- /other-projects/trunk/hdl-archives/treasures/src-documents/Toko_Renata_Te_Taniwha2.htm	(revision 20155)
+++ /other-projects/trunk/hdl-archives/treasures/src-documents/Toko_Renata_Te_Taniwha2.htm	(revision 20156)
@@ -19,15 +19,15 @@
   <o:Template>Transcript2.dot</o:Template>
   <o:LastAuthor>Frank Waitai</o:LastAuthor>
-  <o:Revision>5</o:Revision>
+  <o:Revision>6</o:Revision>
   <o:TotalTime>11</o:TotalTime>
   <o:LastPrinted>2005-11-02T23:36:00Z</o:LastPrinted>
   <o:Created>2008-07-09T00:05:00Z</o:Created>
-  <o:LastSaved>2009-08-05T02:35:00Z</o:LastSaved>
+  <o:LastSaved>2009-08-05T02:39:00Z</o:LastSaved>
   <o:Pages>2</o:Pages>
   <o:Words>204</o:Words>
-  <o:Characters>1164</o:Characters>
+  <o:Characters>1163</o:Characters>
   <o:Lines>9</o:Lines>
   <o:Paragraphs>2</o:Paragraphs>
-  <o:CharactersWithSpaces>1366</o:CharactersWithSpaces>
+  <o:CharactersWithSpaces>1365</o:CharactersWithSpaces>
   <o:Version>12.00</o:Version>
  </o:DocumentProperties>
@@ -50,6 +50,4 @@
   <w:ActiveWritingStyle Lang="EN-NZ" VendorID="8" DLLVersion="513" NLCheck="0">1</w:ActiveWritingStyle>
   <w:ActiveWritingStyle Lang="EN-GB" VendorID="8" DLLVersion="513" NLCheck="0">1</w:ActiveWritingStyle>
-  <w:SpellingState>Clean</w:SpellingState>
-  <w:GrammarState>Clean</w:GrammarState>
   <w:TrackMoves>false</w:TrackMoves>
   <w:TrackFormatting/>
@@ -350,51 +348,60 @@
 	{mso-style-unhide:no;
 	mso-style-qformat:yes;
-	mso-style-parent:Numbering;
 	mso-style-link:"Heading 3 Char";
-	mso-style-next:Numbering;
-	margin-top:0cm;
+	mso-style-next:Normal;
+	margin-top:10.0pt;
 	margin-right:0cm;
 	margin-bottom:0cm;
-	margin-left:108.0pt;
-	margin-bottom:.0001pt;
-	text-align:justify;
-	text-indent:-36.0pt;
-	line-height:150%;
-	mso-pagination:widow-orphan;
+	margin-left:0cm;
+	margin-bottom:.0001pt;
+	text-align:justify;
+	line-height:150%;
+	mso-pagination:widow-orphan lines-together;
+	page-break-after:avoid;
 	mso-outline-level:3;
-	mso-list:l0 level3 lfo2;
-	tab-stops:36.0pt 72.0pt list 108.0pt left 144.0pt right 378.75pt 450.75pt;
-	font-size:12.0pt;
-	mso-bidi-font-size:10.0pt;
-	font-family:"Times New Roman","serif";
-	mso-fareast-font-family:"Times New Roman";
-	mso-fareast-theme-font:minor-fareast;
-	mso-ansi-language:EN-NZ;
-	font-weight:normal;}
+	tab-stops:36.0pt 72.0pt 108.0pt 144.0pt right 450.75pt;
+	font-size:10.0pt;
+	font-family:"Cambria","serif";
+	mso-ascii-font-family:Cambria;
+	mso-ascii-theme-font:major-latin;
+	mso-fareast-font-family:"Times New Roman";
+	mso-fareast-theme-font:major-fareast;
+	mso-hansi-font-family:Cambria;
+	mso-hansi-theme-font:major-latin;
+	mso-bidi-font-family:"Times New Roman";
+	mso-bidi-theme-font:major-bidi;
+	color:#4F81BD;
+	mso-themecolor:accent1;
+	mso-ansi-language:EN-NZ;}
 h4
 	{mso-style-unhide:no;
 	mso-style-qformat:yes;
-	mso-style-parent:Numbering;
 	mso-style-link:"Heading 4 Char";
-	mso-style-next:Numbering;
-	margin-top:0cm;
+	mso-style-next:Normal;
+	margin-top:10.0pt;
 	margin-right:0cm;
 	margin-bottom:0cm;
-	margin-left:144.0pt;
-	margin-bottom:.0001pt;
-	text-align:justify;
-	text-indent:-36.0pt;
-	line-height:150%;
-	mso-pagination:widow-orphan;
+	margin-left:0cm;
+	margin-bottom:.0001pt;
+	text-align:justify;
+	line-height:150%;
+	mso-pagination:widow-orphan lines-together;
+	page-break-after:avoid;
 	mso-outline-level:4;
-	mso-list:l0 level4 lfo2;
-	tab-stops:36.0pt 72.0pt 108.0pt list 144.0pt right 378.75pt 450.75pt;
-	font-size:12.0pt;
-	mso-bidi-font-size:10.0pt;
-	font-family:"Times New Roman","serif";
-	mso-fareast-font-family:"Times New Roman";
-	mso-fareast-theme-font:minor-fareast;
+	tab-stops:36.0pt 72.0pt 108.0pt 144.0pt right 450.75pt;
+	font-size:10.0pt;
+	font-family:"Cambria","serif";
+	mso-ascii-font-family:Cambria;
+	mso-ascii-theme-font:major-latin;
+	mso-fareast-font-family:"Times New Roman";
+	mso-fareast-theme-font:major-fareast;
+	mso-hansi-font-family:Cambria;
+	mso-hansi-theme-font:major-latin;
+	mso-bidi-font-family:"Times New Roman";
+	mso-bidi-theme-font:major-bidi;
+	color:#4F81BD;
+	mso-themecolor:accent1;
 	mso-ansi-language:EN-NZ;
-	font-weight:normal;}
+	font-style:italic;}
 h5
 	{mso-style-unhide:no;
@@ -749,4 +756,5 @@
 	mso-ascii-font-family:"Arial Mäori";
 	mso-hansi-font-family:"Arial Mäori";
+	mso-bidi-font-family:"Arial Mäori";
 	mso-ansi-language:EN-NZ;}
 span.HeaderChar
@@ -758,4 +766,5 @@
 	mso-ascii-font-family:"Arial Mäori";
 	mso-hansi-font-family:"Arial Mäori";
+	mso-bidi-font-family:"Arial Mäori";
 	mso-ansi-language:EN-NZ;}
 span.FooterChar
@@ -767,4 +776,5 @@
 	mso-ascii-font-family:"Arial Mäori";
 	mso-hansi-font-family:"Arial Mäori";
+	mso-bidi-font-family:"Arial Mäori";
 	mso-ansi-language:EN-NZ;}
 span.MacroTextChar
@@ -787,4 +797,5 @@
 	mso-ascii-font-family:"Arial Mäori";
 	mso-hansi-font-family:"Arial Mäori";
+	mso-bidi-font-family:"Arial Mäori";
 	mso-ansi-language:EN-NZ;}
 span.PlainTextChar
@@ -992,7 +1003,4 @@
 	mso-ansi-language:EN-NZ;
 	font-weight:bold;}
-span.SpellE
-	{mso-style-name:"";
-	mso-spl-e:yes;}
 .MsoChpDefault
 	{mso-style-type:export-only;
@@ -1011,78 +1019,4 @@
 div.Section1
 	{page:Section1;}
- /* List Definitions */
- @list l0
-	{mso-list-id:404576372;
-	mso-list-template-ids:-156219422;}
-@list l0:level1
-	{mso-level-tab-stop:36.0pt;
-	mso-level-number-position:left;
-	text-indent:-36.0pt;
-	color:windowtext;}
-@list l0:level2
-	{mso-level-number-format:alpha-lower;
-	mso-level-text:"\(%2\)";
-	mso-level-tab-stop:72.0pt;
-	mso-level-number-position:left;
-	text-indent:-36.0pt;
-	color:windowtext;}
-@list l0:level3
-	{mso-level-number-format:roman-lower;
-	mso-level-style-link:"Heading 3";
-	mso-level-text:"\(%3\)";
-	mso-level-tab-stop:108.0pt;
-	mso-level-number-position:left;
-	text-indent:-36.0pt;
-	color:windowtext;}
-@list l0:level4
-	{mso-level-number-format:alpha-lower;
-	mso-level-style-link:"Heading 4";
-	mso-level-tab-stop:144.0pt;
-	mso-level-number-position:left;
-	text-indent:-36.0pt;}
-@list l0:level5
-	{mso-level-number-format:none;
-	mso-level-suffix:none;
-	mso-level-text:"";
-	mso-level-tab-stop:none;
-	mso-level-number-position:left;
-	margin-left:0cm;
-	text-indent:0cm;}
-@list l0:level6
-	{mso-level-number-format:none;
-	mso-level-suffix:none;
-	mso-level-text:"";
-	mso-level-tab-stop:none;
-	mso-level-number-position:left;
-	margin-left:0cm;
-	text-indent:0cm;}
-@list l0:level7
-	{mso-level-number-format:none;
-	mso-level-suffix:none;
-	mso-level-text:"";
-	mso-level-tab-stop:none;
-	mso-level-number-position:left;
-	margin-left:0cm;
-	text-indent:0cm;}
-@list l0:level8
-	{mso-level-number-format:none;
-	mso-level-suffix:none;
-	mso-level-text:"";
-	mso-level-tab-stop:none;
-	mso-level-number-position:left;
-	margin-left:0cm;
-	text-indent:0cm;}
-@list l0:level9
-	{mso-level-number-format:none;
-	mso-level-suffix:none;
-	mso-level-text:"";
-	mso-level-tab-stop:none;
-	mso-level-number-position:left;
-	margin-left:0cm;
-	text-indent:0cm;}
-ol
-	{margin-bottom:0cm;}
-ul
-	{margin-bottom:0cm;}
 -->
 </style>
@@ -1106,5 +1040,5 @@
 </style>
 <![endif]--><!--[if gte mso 9]><xml>
- <o:shapedefaults v:ext="edit" spidmax="10242"/>
+ <o:shapedefaults v:ext="edit" spidmax="11266"/>
 </xml><![endif]--><!--[if gte mso 9]><xml>
  <o:shapelayout v:ext="edit">
@@ -1127,15 +1061,12 @@
   <td width=352 valign=top style='width:264.25pt;border:none;border-top:solid windowtext 1.0pt;
   mso-border-top-alt:solid windowtext .5pt;padding:0cm 5.4pt 0cm 5.4pt'>
-  <p class=Metadata><span lang=EN-NZ>Toko Renata Te <span class=SpellE>Teniwha</span>
-  </span></p>
+  <p class=Metadata><span lang=EN-NZ>Toko Renata Te Teniwha </span></p>
   <p class=Metadata><span lang=EN-NZ>and </span></p>
-  <p class=Metadata><span class=SpellE><span lang=EN-NZ>Pongarauhine</span></span><span
-  lang=EN-NZ> (Bonnie) Renata nee Brown</span></p>
+  <p class=Metadata><span lang=EN-NZ>Pongarauhine (Bonnie) Renata nee Brown</span></p>
   </td>
  </tr>
  <tr style='mso-yfti-irow:1'>
   <td width=168 valign=top style='width:125.9pt;padding:0cm 5.4pt 0cm 5.4pt'>
-  <p class=Metadata><span class=SpellE><span lang=EN-NZ>Hapu</span></span><span
-  lang=EN-NZ> Iwi</span></p>
+  <p class=Metadata><span lang=EN-NZ>Hapu Iwi</span></p>
   </td>
   <td width=352 valign=top style='width:264.25pt;padding:0cm 5.4pt 0cm 5.4pt'>
@@ -1171,5 +1102,5 @@
  <tr style='mso-yfti-irow:5'>
   <td width=168 valign=top style='width:125.9pt;padding:0cm 5.4pt 0cm 5.4pt'>
-  <p class=Metadata><span class=SpellE><span lang=EN-NZ>Transcriber</span></span></p>
+  <p class=Metadata><span lang=EN-NZ>Transcriber</span></p>
   </td>
   <td width=352 valign=top style='width:264.25pt;padding:0cm 5.4pt 0cm 5.4pt'>
@@ -1233,5 +1164,5 @@
   <td width=168 valign=top style='width:125.9pt;border:none;mso-border-top-alt:
   solid windowtext .5pt;padding:0cm 5.4pt 0cm 5.4pt'>
-  <p class=Metadata><span class=SpellE><span lang=EN-NZ>GS.Media</span></span></p>
+  <p class=Metadata><span lang=EN-NZ>GS.Media</span></p>
   </td>
   <td width=352 valign=top style='width:264.25pt;border:none;mso-border-top-alt:
@@ -1242,16 +1173,15 @@
 </table>
 
-<span lang=EN-NZ style='font-size:10.0pt;line-height:150%;font-family:"Arial Mäori","sans-serif";
-mso-fareast-font-family:"Times New Roman";mso-fareast-theme-font:minor-fareast;
-mso-bidi-font-family:"Times New Roman";mso-ansi-language:EN-NZ;mso-fareast-language:
-EN-US;mso-bidi-language:AR-SA'><br clear=all style='page-break-before:always'>
-</span>
+<b style='mso-bidi-font-weight:normal'><span lang=EN-NZ style='font-size:10.0pt;
+line-height:150%;font-family:"Arial Mäori","sans-serif";mso-fareast-font-family:
+"Times New Roman";mso-fareast-theme-font:minor-fareast;mso-bidi-font-family:
+"Times New Roman";mso-ansi-language:EN-NZ;mso-fareast-language:EN-US;
+mso-bidi-language:AR-SA'><br clear=all style='page-break-before:always'>
+</span></b>
 
 <h1><span lang=FR style='font-size:20.0pt;line-height:150%;mso-fareast-font-family:
-"Times New Roman";mso-ansi-language:FR'>Toko Renata Te <span class=SpellE>Taniwha</span>
-<br>
+"Times New Roman";mso-ansi-language:FR'>Toko Renata Te Taniwha<br>
 and <br>
-<span class=SpellE>Pongarauhine</span> (Bonnie) Renata <span class=SpellE>nee</span>
-Brown<o:p></o:p></span></h1>
+Pongarauhine (Bonnie) Renata nee Brown<o:p></o:p></span></h1>
 
 <p class=MsoNormal><span lang=EN-NZ><o:p>&nbsp;</o:p></span></p>
@@ -1268,5 +1198,5 @@
   </td>
   <td style='padding:0cm 0cm 0cm 0cm'>
-  <p class=MsoNormal><span lang=EN-NZ>_<span class=SpellE>notranscript</span>_</span></p>
+  <p class=MsoNormal><span lang=EN-NZ>_notranscript_</span></p>
   </td>
  </tr>
@@ -1284,5 +1214,5 @@
   </td>
   <td style='padding:0cm 0cm 0cm 0cm'>
-  <p class=MsoNormal><span lang=EN-NZ>_<span class=SpellE>notranscript</span>_</span></p>
+  <p class=MsoNormal><span lang=EN-NZ>_notranscript_</span></p>
   </td>
  </tr>
@@ -1300,5 +1230,5 @@
   </td>
   <td style='padding:0cm 0cm 0cm 0cm'>
-  <p class=MsoNormal><span lang=EN-NZ>_<span class=SpellE>notranscript</span>_</span></p>
+  <p class=MsoNormal><span lang=EN-NZ>_notranscript_</span></p>
   </td>
  </tr>
@@ -1316,5 +1246,5 @@
   </td>
   <td style='padding:0cm 0cm 0cm 0cm'>
-  <p class=MsoNormal><span lang=EN-NZ>_<span class=SpellE>notranscript</span>_</span></p>
+  <p class=MsoNormal><span lang=EN-NZ>_notranscript_</span></p>
   </td>
  </tr>
@@ -1332,5 +1262,5 @@
   </td>
   <td style='padding:0cm 0cm 0cm 0cm'>
-  <p class=MsoNormal><span lang=EN-NZ>_<span class=SpellE>notranscript</span>_</span></p>
+  <p class=MsoNormal><span lang=EN-NZ>_notranscript_</span></p>
   </td>
  </tr>
@@ -1348,5 +1278,5 @@
   </td>
   <td style='padding:0cm 0cm 0cm 0cm'>
-  <p class=MsoNormal><span lang=EN-NZ>_<span class=SpellE>notranscript</span>_</span></p>
+  <p class=MsoNormal><span lang=EN-NZ>_notranscript_</span></p>
   </td>
  </tr>
@@ -1364,5 +1294,5 @@
   </td>
   <td style='padding:0cm 0cm 0cm 0cm'>
-  <p class=MsoNormal><span lang=EN-NZ>_<span class=SpellE>notranscript</span>_</span></p>
+  <p class=MsoNormal><span lang=EN-NZ>_notranscript_</span></p>
   </td>
  </tr>
@@ -1380,5 +1310,5 @@
   </td>
   <td style='padding:0cm 0cm 0cm 0cm'>
-  <p class=MsoNormal><span lang=EN-NZ>_<span class=SpellE>notranscript</span>_</span></p>
+  <p class=MsoNormal><span lang=EN-NZ>_notranscript_</span></p>
   </td>
  </tr>
@@ -1396,5 +1326,5 @@
   </td>
   <td style='padding:0cm 0cm 0cm 0cm'>
-  <p class=MsoNormal><span lang=EN-NZ>_<span class=SpellE>notranscript</span>_</span></p>
+  <p class=MsoNormal><span lang=EN-NZ>_notranscript_</span></p>
   </td>
  </tr>
@@ -1412,5 +1342,5 @@
   </td>
   <td style='padding:0cm 0cm 0cm 0cm'>
-  <p class=MsoNormal><span lang=EN-NZ>_<span class=SpellE>notranscript</span>_</span></p>
+  <p class=MsoNormal><span lang=EN-NZ>_notranscript_</span></p>
   </td>
  </tr>
@@ -1428,5 +1358,5 @@
   </td>
   <td style='padding:0cm 0cm 0cm 0cm'>
-  <p class=MsoNormal><span lang=EN-NZ>_<span class=SpellE>notranscript</span>_</span></p>
+  <p class=MsoNormal><span lang=EN-NZ>_notranscript_</span></p>
   </td>
  </tr>
@@ -1444,5 +1374,5 @@
   </td>
   <td style='padding:0cm 0cm 0cm 0cm'>
-  <p class=MsoNormal><span lang=EN-NZ>_<span class=SpellE>notranscript</span>_</span></p>
+  <p class=MsoNormal><span lang=EN-NZ>_notranscript_</span></p>
   </td>
  </tr>
@@ -1460,5 +1390,5 @@
   </td>
   <td style='padding:0cm 0cm 0cm 0cm'>
-  <p class=MsoNormal><span lang=EN-NZ>_<span class=SpellE>notranscript</span>_</span></p>
+  <p class=MsoNormal><span lang=EN-NZ>_notranscript_</span></p>
   </td>
  </tr>
@@ -1476,5 +1406,5 @@
   </td>
   <td style='padding:0cm 0cm 0cm 0cm'>
-  <p class=MsoNormal><span lang=EN-NZ>_<span class=SpellE>notranscript</span>_</span></p>
+  <p class=MsoNormal><span lang=EN-NZ>_notranscript_</span></p>
   </td>
  </tr>
@@ -1492,5 +1422,5 @@
   </td>
   <td style='padding:0cm 0cm 0cm 0cm'>
-  <p class=MsoNormal><span lang=EN-NZ>_<span class=SpellE>notranscript</span>_</span></p>
+  <p class=MsoNormal><span lang=EN-NZ>_notranscript_</span></p>
   </td>
  </tr>
@@ -1508,5 +1438,5 @@
   </td>
   <td style='padding:0cm 0cm 0cm 0cm'>
-  <p class=MsoNormal><span lang=EN-NZ>_<span class=SpellE>notranscript</span>_</span></p>
+  <p class=MsoNormal><span lang=EN-NZ>_notranscript_</span></p>
   </td>
  </tr>
@@ -1524,5 +1454,5 @@
   </td>
   <td style='padding:0cm 0cm 0cm 0cm'>
-  <p class=MsoNormal><span lang=EN-NZ>_<span class=SpellE>notranscript</span>_</span></p>
+  <p class=MsoNormal><span lang=EN-NZ>_notranscript_</span></p>
   </td>
  </tr>
@@ -1540,5 +1470,5 @@
   </td>
   <td style='padding:0cm 0cm 0cm 0cm'>
-  <p class=MsoNormal><span lang=EN-NZ>_<span class=SpellE>notranscript</span>_</span></p>
+  <p class=MsoNormal><span lang=EN-NZ>_notranscript_</span></p>
   </td>
  </tr>
@@ -1556,5 +1486,5 @@
   </td>
   <td style='padding:0cm 0cm 0cm 0cm'>
-  <p class=MsoNormal><span lang=EN-NZ>_<span class=SpellE>notranscript</span>_</span></p>
+  <p class=MsoNormal><span lang=EN-NZ>_notranscript_</span></p>
   </td>
  </tr>
@@ -1572,5 +1502,5 @@
   </td>
   <td style='padding:0cm 0cm 0cm 0cm'>
-  <p class=MsoNormal><span lang=EN-NZ>_<span class=SpellE>notranscript</span>_</span></p>
+  <p class=MsoNormal><span lang=EN-NZ>_notranscript_</span></p>
   </td>
  </tr>
@@ -1588,5 +1518,5 @@
   </td>
   <td style='padding:0cm 0cm 0cm 0cm'>
-  <p class=MsoNormal><span lang=EN-NZ>_<span class=SpellE>notranscript</span>_</span></p>
+  <p class=MsoNormal><span lang=EN-NZ>_notranscript_</span></p>
   </td>
  </tr>
@@ -1604,5 +1534,5 @@
   </td>
   <td style='padding:0cm 0cm 0cm 0cm'>
-  <p class=MsoNormal><span lang=EN-NZ>_<span class=SpellE>notranscript</span>_</span></p>
+  <p class=MsoNormal><span lang=EN-NZ>_notranscript_</span></p>
   </td>
  </tr>
@@ -1620,5 +1550,5 @@
   </td>
   <td style='padding:0cm 0cm 0cm 0cm'>
-  <p class=MsoNormal><span lang=EN-NZ>_<span class=SpellE>notranscript</span>_</span></p>
+  <p class=MsoNormal><span lang=EN-NZ>_notranscript_</span></p>
   </td>
  </tr>
@@ -1636,5 +1566,5 @@
   </td>
   <td style='padding:0cm 0cm 0cm 0cm'>
-  <p class=MsoNormal><span lang=EN-NZ>_<span class=SpellE>notranscript</span>_</span></p>
+  <p class=MsoNormal><span lang=EN-NZ>_notranscript_</span></p>
   </td>
  </tr>
@@ -1652,5 +1582,5 @@
   </td>
   <td style='padding:0cm 0cm 0cm 0cm'>
-  <p class=MsoNormal><span lang=EN-NZ>_<span class=SpellE>notranscript</span>_</span></p>
+  <p class=MsoNormal><span lang=EN-NZ>_notranscript_</span></p>
   </td>
  </tr>
@@ -1668,5 +1598,5 @@
   </td>
   <td style='padding:0cm 0cm 0cm 0cm'>
-  <p class=MsoNormal><span lang=EN-NZ>_<span class=SpellE>notranscript</span>_</span></p>
+  <p class=MsoNormal><span lang=EN-NZ>_notranscript_</span></p>
   </td>
  </tr>