Index: /greenstone3/trunk/winutil/grep.exe
===================================================================
--- /greenstone3/trunk/winutil/grep.exe	(revision 20231)
+++ /greenstone3/trunk/winutil/grep.exe	(revision 20231)
@@ -0,0 +1,145 @@
+<!DOCTYPE html
+    PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
+    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
+<html xmlns="http://www.w3.org/1999/xhtml" lang="en" xml:lang="en">
+<head>
+ <title>/other-projects/trunk/winbin/utils/grep.exe - Greenstone - Trac</title><link rel="start" href="/wiki" /><link rel="search" href="/search" /><link rel="help" href="/wiki/TracGuide" /><link rel="stylesheet" href="/chrome/common/css/trac.css" type="text/css" /><link rel="stylesheet" href="/chrome/common/css/code.css" type="text/css" /><link rel="stylesheet" href="/chrome/common/css/browser.css" type="text/css" /><link rel="icon" href="/chrome/common/trac.ico" type="image/x-icon" /><link rel="shortcut icon" href="/chrome/common/trac.ico" type="image/x-icon" /><link rel="up" href="/browser/other-projects/trunk/winbin/utils" title="Parent directory" /><link rel="alternate" href="/browser/other-projects/trunk/winbin/utils/grep.exe?format=raw" title="Original Format" type="application/octet-stream; charset=iso-8859-15" /><style type="text/css">
+
+</style>
+ <script type="text/javascript" src="/chrome/common/js/trac.js"></script>
+ <link type="text/css" rel="stylesheet" href="http://www.greenstone.org/style/intersite.css"/>
+</head>
+<body>
+
+
+
+
+
+
+<div id="topbun">
+	<a class="dim" href="http://www.greenstone.org/">greenstone.org</a>
+	<a class="dim" href="http://wiki.greenstone.org/">greenstone wiki</a>
+	<a href="http://trac.greenstone.org/">greenstone trac</a>
+	<a class="dim" href="http://planet.greenstone.org/">planet greenstone</a>
+	<div class="clear"> </div>
+</div>
+
+<div id="meat">
+
+<div id="container">
+
+<div id="banner">
+
+<div id="header"><a id="logo" href="http://trac.greenstone.org/"><img src="/chrome/common/trac_banner.png" alt="" /></a><hr /></div>
+
+<form id="search" action="/search" method="get">
+ <div>
+  <label for="proj-search">Search:</label>
+  <input type="text" id="proj-search" name="q" size="10" accesskey="f" value="" />
+  <input type="submit" value="Search" />
+  <input type="hidden" name="wiki" value="on" />
+  <input type="hidden" name="changeset" value="on" />
+  <input type="hidden" name="ticket" value="on" />
+ </div>
+</form>
+
+
+
+<div id="metanav" class="nav"><ul><li class="first"><a href="/login">Login</a></li><li><a href="/settings">Settings</a></li><li><a accesskey="6" href="/wiki/TracGuide">Help/Guide</a></li><li class="last"><a href="/about">About Trac</a></li></ul></div>
+</div>
+
+<div id="mainnav" class="nav"><ul><li class="first"><a accesskey="1" href="http://trac.greenstone.org">Home</a></li><li><a accesskey="2" href="/timeline">Timeline</a></li><li><a accesskey="3" href="/roadmap">Roadmap</a></li><li class="active"><a href="/browser">Browse Source</a></li><li><a href="/report">View Tickets</a></li><li class="last"><a accesskey="4" href="/search">Search</a></li></ul></div>
+<div id="main">
+
+
+
+
+<div id="ctxtnav" class="nav">
+ <ul>
+  <li class="first"><a href="/changeset/1751/trunk/winbin/utils/grep.exe">
+   Last Change</a></li>
+  <li class="last"><a href="/log/other-projects/trunk/winbin/utils/grep.exe">
+   Revision Log</a></li>
+ </ul>
+</div>
+
+
+<div id="searchable">
+<div id="content" class="browser">
+ <h1><a class="first" title="Go to root directory" href="/browser">root</a><span class="sep">/</span><a title="View other-projects" href="/browser/other-projects">other-projects</a><span class="sep">/</span><a title="View trunk" href="/browser/other-projects/trunk">trunk</a><span class="sep">/</span><a title="View winbin" href="/browser/other-projects/trunk/winbin">winbin</a><span class="sep">/</span><a title="View utils" href="/browser/other-projects/trunk/winbin/utils">utils</a><span class="sep">/</span><a title="View grep.exe" href="/browser/other-projects/trunk/winbin/utils/grep.exe">grep.exe</a></h1>
+ <small><a href="http://svn.greenstone.org/other-projects/trunk/winbin/utils/grep.exe">http://svn.greenstone.org/other-projects/trunk/winbin/utils/grep.exe</a></small><br/>
+
+ <div id="jumprev">
+  <form action="" method="get">
+   <div>
+    <label for="rev">View revision:</label>
+    <input type="text" id="rev" name="rev" value="" size="4" />
+   </div>
+  </form>
+ </div>
+
+ 
+
+ 
+  <table id="info" summary="Revision info"><tr>
+    <th scope="col">
+     Revision <a href="/changeset/1751">1751</a>, 62.0 kB
+     (checked in by sjboddie, 9 years ago)
+    </th></tr><tr>
+    <td class="message"><p>
+Various unix utilities for use on windows. They were all downloaded <br />
+from various places as pre-compiled binaries. <br />
+</p>
+</td>
+   </tr><tr>
+    <td colspan="2"><ul class="props">
+      <li>Property <strong>svn:mime-type</strong> set to <em><code>application/octet-stream</code></em></li>
+      <li>Property <strong>svn:executable</strong> set to <em><code>*</code></em></li>
+    </ul></td></tr>
+  </table>
+  <div id="preview"><strong>HTML preview not available</strong>. To view, <a href="/browser/other-projects/trunk/winbin/utils/grep.exe?format=raw">download</a> the file.
+  </div>
+
+ <div id="help">
+  <strong>Note:</strong> See <a href="/wiki/TracBrowser">TracBrowser</a> for help on using the browser.
+ </div>
+
+  <div id="anydiff">
+   <form action="/anydiff" method="get">
+    <div class="buttons">
+     <input type="hidden" name="new_path" value="/other-projects/trunk/winbin/utils/grep.exe" />
+     <input type="hidden" name="old_path" value="/other-projects/trunk/winbin/utils/grep.exe" />
+     <input type="hidden" name="new_rev" value="" />
+     <input type="hidden" name="old_rev" value="" />
+     <input type="submit" value="View changes..." title="Prepare an Arbitrary Diff" />
+    </div>
+   </form>
+  </div>
+
+</div>
+</div>
+<script type="text/javascript">searchHighlight()</script>
+<div id="altlinks"><h3>Download in other formats:</h3><ul><li class="first last"><a href="/browser/other-projects/trunk/winbin/utils/grep.exe?format=raw">Original Format</a></li></ul></div>
+
+</div>
+
+<div id="footer">
+ <hr />
+ <a id="tracpowered" href="http://trac.edgewall.org/"><img src="/chrome/common/trac_logo_mini.png" height="30" width="107"
+   alt="Trac Powered"/></a>
+ <p class="left">
+  Powered by <a href="/about"><strong>Trac 0.10.3</strong></a><br />
+  By <a href="http://www.edgewall.org/">Edgewall Software</a>.
+ </p>
+ <p class="right">
+  Visit the Trac open source project at<br /><a href="http://trac.edgewall.org/">http://trac.edgewall.org/</a>
+ </p>
+</div>
+
+
+
+   </div><!-- container -->
+  </div><!-- meat -->
+ </body>
+</html>
+