Index: greenstone3/trunk/web/sites/localsite/etc/derby.log
===================================================================
--- greenstone3/trunk/web/sites/localsite/etc/derby.log	(revision 20287)
+++ 	(revision )
@@ -1,100 +1,0 @@
-----------------------------------------------------------------
-2007-07-30 01:34:35.036 GMT:
- Booting Derby version The Apache Software Foundation - Apache Derby - 10.1.2.1 - (330608): instance c013800d-0114-14c2-a7b0-000024c4f157
-on database directory /research/qq6/gs3-current/gs3-svn/greenstone3/web/sites/localsite/etc/usersDB 
-
-Database Class Loader started - derby.database.classpath=''
-
-2007-07-30 01:34:37.322 GMT:
-Shutting down instance c013800d-0114-14c2-a7b0-000024c4f157
-----------------------------------------------------------------
-----------------------------------------------------------------
-2007-07-30 01:34:39.173 GMT:
- Booting Derby version The Apache Software Foundation - Apache Derby - 10.1.2.1 - (330608): instance f81e0010-0114-14c2-a7b0-000024c4f157
-on database directory /research/qq6/gs3-current/gs3-svn/greenstone3/web/sites/localsite/etc/usersDB 
-
-Database Class Loader started - derby.database.classpath=''
-
-2007-07-30 01:34:39.260 GMT:
-Shutting down instance f81e0010-0114-14c2-a7b0-000024c4f157
-----------------------------------------------------------------
-----------------------------------------------------------------
-2007-07-30 01:34:54.111 GMT:
- Booting Derby version The Apache Software Foundation - Apache Derby - 10.1.2.1 - (330608): instance a02ac013-0114-14c2-a7b0-000024c4f157
-on database directory /research/qq6/gs3-current/gs3-svn/greenstone3/web/sites/localsite/etc/usersDB 
-
-Database Class Loader started - derby.database.classpath=''
-
-2007-07-30 01:34:54.330 GMT:
-Shutting down instance a02ac013-0114-14c2-a7b0-000024c4f157
-----------------------------------------------------------------
-----------------------------------------------------------------
-2007-07-30 01:35:10.971 GMT:
- Booting Derby version The Apache Software Foundation - Apache Derby - 10.1.2.1 - (330608): instance e03f4017-0114-14c2-a7b0-000024c4f157
-on database directory /research/qq6/gs3-current/gs3-svn/greenstone3/web/sites/localsite/etc/usersDB 
-
-Database Class Loader started - derby.database.classpath=''
-
-2007-07-30 01:35:11.066 GMT:
-Shutting down instance e03f4017-0114-14c2-a7b0-000024c4f157
-----------------------------------------------------------------
-----------------------------------------------------------------
-2007-07-30 01:35:14.318 GMT:
- Booting Derby version The Apache Software Foundation - Apache Derby - 10.1.2.1 - (330608): instance c851401a-0114-14c2-a7b0-000024c4f157
-on database directory /research/qq6/gs3-current/gs3-svn/greenstone3/web/sites/localsite/etc/usersDB 
-
-Database Class Loader started - derby.database.classpath=''
-
-2007-07-30 01:35:14.349 GMT:
-Shutting down instance c851401a-0114-14c2-a7b0-000024c4f157
-----------------------------------------------------------------
-----------------------------------------------------------------
-2007-07-30 01:35:20.058 GMT:
- Booting Derby version The Apache Software Foundation - Apache Derby - 10.1.2.1 - (330608): instance c065801d-0114-14c2-a7b0-000024c4f157
-on database directory /research/qq6/gs3-current/gs3-svn/greenstone3/web/sites/localsite/etc/usersDB 
-
-Database Class Loader started - derby.database.classpath=''
-
-2007-07-30 01:35:20.116 GMT:
-Shutting down instance c065801d-0114-14c2-a7b0-000024c4f157
-----------------------------------------------------------------
-----------------------------------------------------------------
-2007-07-30 01:35:22.672 GMT:
- Booting Derby version The Apache Software Foundation - Apache Derby - 10.1.2.1 - (330608): instance 787c0020-0114-14c2-a7b0-000024c4f157
-on database directory /research/qq6/gs3-current/gs3-svn/greenstone3/web/sites/localsite/etc/usersDB 
-
-Database Class Loader started - derby.database.classpath=''
-
-2007-07-30 01:35:22.729 GMT:
-Shutting down instance 787c0020-0114-14c2-a7b0-000024c4f157
-----------------------------------------------------------------
-----------------------------------------------------------------
-2007-07-30 01:35:24.600 GMT:
- Booting Derby version The Apache Software Foundation - Apache Derby - 10.1.2.1 - (330608): instance a094c023-0114-14c2-a7b0-000024c4f157
-on database directory /research/qq6/gs3-current/gs3-svn/greenstone3/web/sites/localsite/etc/usersDB 
-
-Database Class Loader started - derby.database.classpath=''
-
-2007-07-30 01:35:24.662 GMT:
-Shutting down instance a094c023-0114-14c2-a7b0-000024c4f157
-----------------------------------------------------------------
-----------------------------------------------------------------
-2007-07-30 01:35:27.898 GMT:
- Booting Derby version The Apache Software Foundation - Apache Derby - 10.1.2.1 - (330608): instance e8afc026-0114-14c2-a7b0-000024c4f157
-on database directory /research/qq6/gs3-current/gs3-svn/greenstone3/web/sites/localsite/etc/usersDB 
-
-Database Class Loader started - derby.database.classpath=''
-
-2007-07-30 01:35:27.932 GMT:
-Shutting down instance e8afc026-0114-14c2-a7b0-000024c4f157
-----------------------------------------------------------------
-----------------------------------------------------------------
-2007-07-30 01:35:35.710 GMT:
- Booting Derby version The Apache Software Foundation - Apache Derby - 10.1.2.1 - (330608): instance 00cd0029-0114-14c2-a7b0-000024c4f157
-on database directory /research/qq6/gs3-current/gs3-svn/greenstone3/web/sites/localsite/etc/usersDB 
-
-Database Class Loader started - derby.database.classpath=''
-
-2007-07-30 01:35:35.794 GMT:
-Shutting down instance 00cd0029-0114-14c2-a7b0-000024c4f157
-----------------------------------------------------------------